--- /usr/sbin/update-ccache-symlinks.orig	2018-03-25 20:41:45.000000000 +0000
+++ /usr/sbin/update-ccache-symlinks	2018-08-06 12:16:33.059438096 +0000
@@ -12,6 +12,7 @@
 my %old_symlinks; # Current compiler names in /usr/lib/ccache
 my %new_symlinks; # Compiler names that should be in /usr/lib/ccache
 my @standard_names = qw(cc c++);
+my @clang_names = qw(clang clang-[0-9\.]* clang++ clang++-[0-9\.]* llvm-clang);
 my $verbose = 0;
 
 sub consider {
@@ -51,9 +52,12 @@
 }
 
 # Find existing clang variants.
-consider "clang";
-consider "clang++";
-consider "llvm-clang";
+foreach my $name (@clang_names) {
+    foreach (</usr/bin/$name>) {
+        s|.*/||;
+        consider $_;
+    }
+}
 
 # Find existing symlinks.
 foreach (<$ccache_dir/*>) {
